GNU bug report logs - #28096
25.2; c-a-p/shell/ielm: Broken directory completion for directories that contain spaces

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: xristos <xristos@HIDDEN>; Keywords: confirmed; dated Tue, 15 Aug 2017 12:49:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'minor' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 26.1. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28096 <at> debbugs.gnu.org:


Received: (at 28096) by debbugs.gnu.org; 30 May 2018 10:47:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 30 06:47:57 2018
Received: from localhost ([127.0.0.1]:54721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNye5-0001rD-9Z
	for submit <at> debbugs.gnu.org; Wed, 30 May 2018 06:47:57 -0400
Received: from mail-io0-f171.google.com ([209.85.223.171]:37735)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1fNye2-0001qt-CY; Wed, 30 May 2018 06:47:54 -0400
Received: by mail-io0-f171.google.com with SMTP id e20-v6so21071167iof.4;
 Wed, 30 May 2018 03:47:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=NRt9E4aHlGdTL3JrsdYIrTxvclHIv1YzHvMQswC5EwM=;
 b=AlgnbPIGX8CnKx2YelBG3837Kh3CesOpnFOIu4iROVLCHakfwxRDxKJTBRJgyGqfRE
 sAP5L1UZQSLX2ODd1vepZtdtYojHR/OllXYPUnsrmUia3KtS2upIMyeipmb1QSut4cuf
 +8eh+om1UOHBm8iwYUtwLyybGpBeHZ3kRO2/ATYJmKW/fLdgafbKj7fgukFLOzNH48Bj
 sLh2TSG44BJKncz6uoVdnpny2FqTa6lw4t9x8NAYLApWKjoVEvZhqliWIAXeE1JChu9I
 3VP9nN4o+j9vFlzXB6aUNwS5ey3430/RBYAJGpaZn8PwNZ6Jkiv7Dj+FaU+8Aveteff4
 ltCQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=NRt9E4aHlGdTL3JrsdYIrTxvclHIv1YzHvMQswC5EwM=;
 b=dZz+3ufW2VI00g6bW0P3KgjH7PhGL2ZeHxXFCqF9ci6JYxSdN52Llq22MLcAqXqlQ0
 0gxu++thLyTPoJKE+c9hEh1bueObfITqIYZQSU28141Vz5jIG0ibU7Fl+6iv0i5j1q+K
 Oc0Mj6tqilcv3Ow+62FKrdL5wlKVf7SgDqX+B+IEvKGBfDZtuPnPuyQVvcB3U4oTs2s/
 1W5NL2Ssa8MXtVuF4/yyyBHCwFH1n97PfQ3ek1b4OS/oZg69fRBRS8bZhx+2ACyZ8CY/
 sffPvSSNH9qW/zab3weyqDqxw+mSayHHYw2sK5AZD1WR+hFkwuaYG3MP+ZYZm2G/p+hR
 /XpQ==
X-Gm-Message-State: APt69E1qN4IweZrMLx0Kae5csemBMNSab2O9dIsvWtZBlcFH63dPRcHE
 WtZGimtkm98Hyr7lxJgtI6tsia+S
X-Google-Smtp-Source: ADUXVKIyHWRqAgtuCEmDLQHhcdHGAn2dSy1pKGaEryL/qBJqvCgPlYJt8K0mW8QA3KCYMQzWtA1JfA==
X-Received: by 2002:a6b:208a:: with SMTP id
 g132-v6mr1792309iog.216.1527677268618; 
 Wed, 30 May 2018 03:47:48 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 x189-v6sm287788ite.2.2018.05.30.03.47.47
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 30 May 2018 03:47:47 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: xristos <xristos@HIDDEN>
Subject: Re: bug#28096: 25.2;
 c-a-p/shell/ielm: Broken directory completion for directories that
 contain spaces
References: <u5fuctm28d.fsf@HIDDEN> <871sfyrolu.fsf@HIDDEN>
 <bmd0xedmzd.fsf@HIDDEN>
Date: Wed, 30 May 2018 06:47:46 -0400
In-Reply-To: <bmd0xedmzd.fsf@HIDDEN> (xristos's message of "Tue, 29 May 2018
 20:08:06 -0400")
Message-ID: <87y3g1best.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 28096
Cc: xristos <xristos@HIDDEN>, 28096 <at> debbugs.gnu.org,
 Eric Skoglund <eric@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

tags 28096 + confirmed
found 28096 26.1
severity 28096 minor
quit

xristos <xristos@HIDDEN> writes:

> This is still an open issue for me on Emacs 26.1 (Linux and OSX).

Yup, I can reproduce it.  One minor question, what does the "C-a-k" mean
in your original report?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28096; Package emacs. Full text available.

Message received at 28096 <at> debbugs.gnu.org:


Received: (at 28096) by debbugs.gnu.org; 30 May 2018 07:55:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 30 03:55:02 2018
Received: from localhost ([127.0.0.1]:54623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fNvwi-0005wW-LY
	for submit <at> debbugs.gnu.org; Wed, 30 May 2018 03:55:01 -0400
Received: from mail.suspicious.org ([104.131.63.74]:33962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <xristos@HIDDEN>) id 1fNoew-0002m3-0X
 for 28096 <at> debbugs.gnu.org; Tue, 29 May 2018 20:08:10 -0400
Received: from samadhi.lan (unknown [204.11.85.76])
 (Authenticated sender: night)
 by mail.suspicious.org (Postfix) with ESMTPSA id ED4CD1400DD;
 Tue, 29 May 2018 20:08:08 -0400 (EDT)
From: xristos <xristos@HIDDEN>
To: Eric Skoglund <eric@HIDDEN>
Subject: Re: bug#28096: 25.2;
 c-a-p/shell/ielm: Broken directory completion for directories that
 contain spaces
References: <u5fuctm28d.fsf@HIDDEN> <871sfyrolu.fsf@HIDDEN>
Date: Tue, 29 May 2018 20:08:06 -0400
In-Reply-To: <871sfyrolu.fsf@HIDDEN> (Eric Skoglund's message of "Mon,
 02 Apr 2018 10:37:01 +0200")
Message-ID: <bmd0xedmzd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28096
X-Mailman-Approved-At: Wed, 30 May 2018 03:54:59 -0400
Cc: xristos <xristos@HIDDEN>, 28096 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is still an open issue for me on Emacs 26.1 (Linux and OSX).

I asked a few people from #emacs to try and reproduce on 26.1,
they all reported that the issue is still there.

On Mon, 02 Apr 2018 10:37:01 +0200, 
Eric Skoglund <eric@HIDDEN> wrote:
> Seems like this is fixed, I was unable to reproduce this for both the
> master and emacs-26 branches.
>
> // Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28096; Package emacs. Full text available.

Message received at 28096 <at> debbugs.gnu.org:


Received: (at 28096) by debbugs.gnu.org; 2 Apr 2018 08:37:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 02 04:37:05 2018
Received: from localhost ([127.0.0.1]:34689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f2uxd-0005hH-PH
	for submit <at> debbugs.gnu.org; Mon, 02 Apr 2018 04:37:05 -0400
Received: from pagefault.se ([31.7.186.167]:37172)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1f2uxb-0005h8-To
 for 28096 <at> debbugs.gnu.org; Mon, 02 Apr 2018 04:37:04 -0400
Received: by pagefault.se (Postfix, from userid 5555)
 id 3D01E9220105; Mon,  2 Apr 2018 08:37:02 +0000 (UTC)
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on pagefault.se
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=ham version=3.3.2
Received: from pagefault.se
 (c-460be255.07-19-73746f67.cust.bredbandsbolaget.se [85.226.11.70])
 by pagefault.se (Postfix) with ESMTPSA id F17FD9220101;
 Mon,  2 Apr 2018 08:37:01 +0000 (UTC)
From: Eric Skoglund <eric@HIDDEN>
To: xristos <xristos@HIDDEN>
Subject: Re: bug#28096: 25.2;
 c-a-p/shell/ielm: Broken directory completion for directories that
 contain spaces
References: <u5fuctm28d.fsf@HIDDEN>
Date: Mon, 02 Apr 2018 10:37:01 +0200
In-Reply-To: <u5fuctm28d.fsf@HIDDEN> (xristos's message of "Tue, 15 Aug
 2017 08:42:26 -0400")
Message-ID: <871sfyrolu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28096
Cc: , 28096@https, 28096 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


Seems like this is fixed, I was unable to reproduce this for both the
master and emacs-26 branches.

// Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28096; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Aug 2017 12:48:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 15 08:48:53 2017
Received: from localhost ([127.0.0.1]:37810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dhbHB-0005hj-6W
	for submit <at> debbugs.gnu.org; Tue, 15 Aug 2017 08:48:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33815)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <xristos@HIDDEN>) id 1dhbH9-0005hZ-19
 for submit <at> debbugs.gnu.org; Tue, 15 Aug 2017 08:48:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xristos@HIDDEN>) id 1dhbH3-0001KK-2X
 for submit <at> debbugs.gnu.org; Tue, 15 Aug 2017 08:48:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38126)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <xristos@HIDDEN>)
 id 1dhbH2-0001KB-VV
 for submit <at> debbugs.gnu.org; Tue, 15 Aug 2017 08:48:45 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53019)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xristos@HIDDEN>) id 1dhbH1-0007GY-Oo
 for bug-gnu-emacs@HIDDEN; Tue, 15 Aug 2017 08:48:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xristos@HIDDEN>) id 1dhbGz-0001Hu-6N
 for bug-gnu-emacs@HIDDEN; Tue, 15 Aug 2017 08:48:43 -0400
Received: from mail.suspicious.org ([104.131.63.74]:48791)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xristos@HIDDEN>) id 1dhbGz-0001FF-2n
 for bug-gnu-emacs@HIDDEN; Tue, 15 Aug 2017 08:48:41 -0400
Received: from samadhi.lan (unknown [72.28.146.186])
 (Authenticated sender: night)
 by mail.suspicious.org (Postfix) with ESMTPSA id CBC72161091
 for <bug-gnu-emacs@HIDDEN>; Tue, 15 Aug 2017 08:42:15 -0400 (EDT)
From: xristos <xristos@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.2;
 c-a-p/shell/ielm: Broken directory completion for directories that
 contain spaces
Date: Tue, 15 Aug 2017 08:42:26 -0400
Message-ID: <u5fuctm28d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


emacs -Q
M-x shell
;; First create the directory structure for the test
cd /tmp/ RET
mkdir "Directory One" RET
mkdir "Directory Two" RET
;; Try to complete in shell
cd D<TAB>
;; Completes to Directory\
<TAB>
;; No match shown in *Messages* (unexpected, should list the two directories)
C-a-k
cd Directory\ O<TAB>
;; No match shown in *Messages* (unexpected, should complete Directory\ One)

;;; For ielm, we try completion inside a string

M-x ielm
"/tmp/D<TAB>
;; Completes to "/tmp/Directory
<TAB>
;; Nothing shown in *Messages*, no completion (unexpected, should list the two directories)
C-a-k
"/tmp/Directory O<TAB>
;; No match shown in *Messages*, no completion (unexpected, should complete
Directory One)


completion-at-point-functions in *ielm*:
(comint-replace-by-expanded-history ielm-complete-filename
elisp-completion-at-point)

completion-at-point-functions in *shell*:
(comint-completion-at-point t)


In GNU Emacs 25.2.1 (x86_64-apple-darwin15.6.0, NS appkit-1404.47 Version 10.11.6 (Build 15G1611))
 of 2017-08-07 built on elcapitan.internal.macports.net
Windowing system distributor 'Apple', version 10.3.1404
Configured using:
 'configure --prefix=/opt/local --without-ns --without-dbus
 --without-gconf --without-libotf --without-m17n-flt --without-gpm
 --without-gnutls --with-xml2 --with-modules --infodir
 /opt/local/share/info/emacs --with-ns CC=/usr/bin/clang 'CFLAGS=-pipe
 -Os -arch x86_64' 'LDFLAGS=-L/opt/local/lib
 -Wl,-headerpad_max_install_names -Wl,-no_pie -arch x86_64'
 CPPFLAGS=-I/opt/local/include'

Configured features:
NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: IELM

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t




Acknowledgement sent to xristos <xristos@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28096; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 30 May 2018 11:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.